GET /consumer/v1/services/{id}/allocations

onsched.com:consumer

Summary: List Service Allocations
Operation ID:
Auth: unknown
Description

<p>Use this endpoint to return a <b>List of Service Allocations</b> associated with the requested service. A valid <b>service id</b> is required. Allocations are used for Event type services/bookings. Retrieve all allocations for a location by passing in zero as the service id. Otherwise, to get allocations for a specific service supply the service id. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further. For more information: <a href="https://docs.onsched.com/reference/post_setup-v1-services-id-allocations">Create Service Allocations</a></p>

Parameters (7)

endDate (string, query, optional)

Format YYYY-MM-DD. Filter allocations on/before endDate

id (string, path, required)

id of service to list allocations for, 0 for all

limit (integer, query, optional)

Page limit default 20, max 100

locationId (string, query, optional)

id of the location, defaults to the primary location

offset (integer, query, optional)

Starting row of page, default 0

resourceId (string, query, optional)

id of the resource to filter on

startDate (string, query, optional)

Format YYYY-MM-DD: Filter allocations on/after startDate

No probe data for this endpoint yet.